/* BlueDataDistributor - data distribution module from ethernet to 32 serial ports
 * version 0.1.1 date 2006-10-07
 * Copyright (C) 2006 Stefan Schuermans <stefan@blinkenarea.org>
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_rtl8019
#define INC_rtl8019

// initialize
extern void RtlInit( void );

// re-initialize RT8019 (i.e. if MAC changed)
extern void RtlReinit( void );

// tick procedure - call every 200ms
extern void RtlTick200( void );

// task function to do the work - call from main loop
extern void RtlTask( void );

// write an ethernet frame to the RTL8019
extern void RtlWriteFrame( char * pData, unsigned short Length );

// read an ethernet frame from the RTL8019
// *pLength must be initialized to the buffer size
extern void RtlReadFrame( char * pData, unsigned short * pLength );

#endif // #ifndef INC_rtl8019

